package com.unipi.talepis.protal2023_3_3;

import androidx.appcompat.app.AppCompatActivity;
import androidx.room.Room;

import android.os.Bundle;
import android.view.View;
import android.widget.TextView;

import java.util.List;

public class MainActivity extends AppCompatActivity {
    TextView textView;
    AppDatabase db;
    StudentDao studentDao;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        textView = findViewById(R.id.textView);
        db = Room.databaseBuilder(getApplicationContext(),AppDatabase.class,
                "mydb").allowMainThreadQueries().build();
        studentDao = db.studentDao();

        Student s1 = new Student("mpsp007","mps@unipi.gr","Nikos");
        Student s2 = new Student("mpsp246","mps1@unipi.gr","Ilias");
        studentDao.insert(s1,s2);
    }
    public void go1(View view){
        List<Student> students = studentDao.getAll();
        textView.setText("");
        students.stream().forEach(s->textView.setText(textView.getText()+"\n\n"+s));
    }
}